package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/18
 */
public class TeacherClassCourseSchudeleDto {

    @ApiModelProperty(value = "班级编号", required = false)
    private Long classGroupId;

    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名称")
    private String courseScheduleName;

    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum status;

    @ApiModelProperty(value = "上课日期")
    private java.util.Date classDate;

    @ApiModelProperty(value = "上课时间")
    private java.util.Date startClassTime;

    @ApiModelProperty(value = "结束时间")
    private java.util.Date endClassTime;

    @ApiModelProperty(value = "实际上课教师")
    private Long actualTeacherId;

    @ApiModelProperty(value = "实际上课教师名称")
    private String actualTeacherName;

    @ApiModelProperty(value = "课程类型")
    private CourseSchedule.CourseScheduleType type;

    @ApiModelProperty(value = "实际上课人数")
    private Integer studentNum;

    @ApiModelProperty(value = "请假人数")
    private Integer leaveStudentNum;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    @ApiModelProperty(value = "总课次",required = true)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "上课学生名称")
    private String studentNames;

    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "能否进行调整")
    private int enableAdjustInToday;

    private Integer schoolId;

    private String schoolName;

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public int getEnableAdjustInToday() {
        return enableAdjustInToday;
    }

    public void setEnableAdjustInToday(int enableAdjustInToday) {
        this.enableAdjustInToday = enableAdjustInToday;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public String getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(String studentNames) {
        this.studentNames = studentNames;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getLeaveStudentNum() {
        return leaveStudentNum;
    }

    public void setLeaveStudentNum(Integer leaveStudentNum) {
        this.leaveStudentNum = leaveStudentNum;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Long getActualTeacherId() {
        return actualTeacherId;
    }

    public void setActualTeacherId(Long actualTeacherId) {
        this.actualTeacherId = actualTeacherId;
    }

    public String getActualTeacherName() {
        return actualTeacherName;
    }

    public void setActualTeacherName(String actualTeacherName) {
        this.actualTeacherName = actualTeacherName;
    }

    public CourseSchedule.CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseSchedule.CourseScheduleType type) {
        this.type = type;
    }
}
